=== modified file 'bzrlib/tests/blackbox/test_join.py'
--- bzrlib/tests/blackbox/test_join.py	2011-06-14 02:21:41 +0000
+++ bzrlib/tests/blackbox/test_join.py	2012-01-27 16:27:26 +0000
@@ -30,7 +30,7 @@
 
     def make_trees(self):
         base_tree = self.make_branch_and_tree('tree',
-            format='dirstate-with-subtree')
+            format='development-subtree')
         base_tree.commit('empty commit')
         self.build_tree(['tree/subtree/', 'tree/subtree/file1'])
         sub_tree = self.make_branch_and_tree('tree/subtree')

=== modified file 'bzrlib/tests/per_repository/test_fetch.py'
--- bzrlib/tests/per_repository/test_fetch.py	2011-10-10 12:47:25 +0000
+++ bzrlib/tests/per_repository/test_fetch.py	2012-01-27 16:27:26 +0000
@@ -67,7 +67,7 @@
         tree_a.add('foo', 'file1')
         tree_a.commit('rev1', rev_id='rev1')
         # create a knit-3 based format to fetch into
-        f = bzrdir.format_registry.make_bzrdir('dirstate-with-subtree')
+        f = bzrdir.format_registry.make_bzrdir('development-subtree')
         try:
             format = tree_a.branch.repository._format
             format.check_conversion_target(f.repository_format)

=== modified file 'bzrlib/tests/per_repository/test_repository.py'
--- bzrlib/tests/per_repository/test_repository.py	2011-12-07 14:16:12 +0000
+++ bzrlib/tests/per_repository/test_repository.py	2012-01-27 16:27:26 +0000
@@ -343,7 +343,7 @@
             # This gives metadir branches something they can convert to.
             # it would be nice to have a 'latest' vs 'default' concept.
             format = controldir.format_registry.make_bzrdir(
-                'dirstate-with-subtree')
+                'development-subtree')
             upgrade.upgrade(repo.bzrdir.root_transport.base, format=format)
         except errors.UpToDateFormat:
             # this is in the most current format already.

=== modified file 'bzrlib/tests/test_bzrdir.py'
--- bzrlib/tests/test_bzrdir.py	2012-01-02 10:24:02 +0000
+++ bzrlib/tests/test_bzrdir.py	2012-01-27 16:27:26 +0000
@@ -824,9 +824,9 @@
 
     def test_sprout_recursive(self):
         tree = self.make_branch_and_tree('tree1',
-                                         format='dirstate-with-subtree')
+                                         format='development-subtree')
         sub_tree = self.make_branch_and_tree('tree1/subtree',
-            format='dirstate-with-subtree')
+            format='development-subtree')
         sub_tree.set_root_id('subtree-root')
         tree.add_reference(sub_tree)
         self.build_tree(['tree1/subtree/file'])
@@ -849,9 +849,9 @@
 
     def test_sprout_recursive_treeless(self):
         tree = self.make_branch_and_tree('tree1',
-            format='dirstate-with-subtree')
+            format='development-subtree')
         sub_tree = self.make_branch_and_tree('tree1/subtree',
-            format='dirstate-with-subtree')
+            format='development-subtree')
         tree.add_reference(sub_tree)
         self.build_tree(['tree1/subtree/file'])
         sub_tree.add('file')
@@ -863,7 +863,7 @@
         # FIXME: subtree/.bzr is left here which allows the test to pass (or
         # fail :-( ) -- vila 20100909
         repo = self.make_repository('repo', shared=True,
-            format='dirstate-with-subtree')
+            format='development-subtree')
         repo.set_make_working_trees(False)
         # FIXME: we just deleted the workingtree and now we want to use it ????
         # At a minimum, we should use tree.branch below (but this fails too
@@ -1021,7 +1021,7 @@
         otherdir = bzrdir.format_registry.make_bzrdir('knit')
         self.assertEqual(otherdir, mydir)
         self.assertFalse(otherdir != mydir)
-        otherdir2 = bzrdir.format_registry.make_bzrdir('dirstate-with-subtree')
+        otherdir2 = bzrdir.format_registry.make_bzrdir('development-subtree')
         self.assertNotEqual(otherdir2, mydir)
         self.assertFalse(otherdir2 == mydir)
 

=== modified file 'bzrlib/tests/test_dirstate.py'
--- bzrlib/tests/test_dirstate.py	2011-06-14 01:26:41 +0000
+++ bzrlib/tests/test_dirstate.py	2012-01-27 16:27:26 +0000
@@ -2210,9 +2210,9 @@
 class TestDirstateTreeReference(TestCaseWithDirState):
 
     def test_reference_revision_is_none(self):
-        tree = self.make_branch_and_tree('tree', format='dirstate-with-subtree')
+        tree = self.make_branch_and_tree('tree', format='development-subtree')
         subtree = self.make_branch_and_tree('tree/subtree',
-                            format='dirstate-with-subtree')
+                            format='development-subtree')
         subtree.set_root_id('subtree')
         tree.add_reference(subtree)
         tree.add('subtree')

=== modified file 'bzrlib/tests/test_merge.py'
--- bzrlib/tests/test_merge.py	2012-01-05 13:02:31 +0000
+++ bzrlib/tests/test_merge.py	2012-01-27 16:27:26 +0000
@@ -227,9 +227,9 @@
 
     def test_nested_merge(self):
         tree = self.make_branch_and_tree('tree',
-            format='dirstate-with-subtree')
+            format='development-subtree')
         sub_tree = self.make_branch_and_tree('tree/sub-tree',
-            format='dirstate-with-subtree')
+            format='development-subtree')
         sub_tree.set_root_id('sub-tree-root')
         self.build_tree_contents([('tree/sub-tree/file', 'text1')])
         sub_tree.add('file')
@@ -2634,11 +2634,11 @@
         # Tested with a real WT, because BranchBuilder/MemoryTree don't handle
         # 'tree-reference'
         wt = self.make_branch_and_tree('tree',
-            format='dirstate-with-subtree')
+            format='development-subtree')
         wt.lock_write()
         self.addCleanup(wt.unlock)
         sub_tree = self.make_branch_and_tree('tree/sub-tree',
-            format='dirstate-with-subtree')
+            format='development-subtree')
         wt.set_root_id('a-root-id')
         sub_tree.set_root_id('sub-tree-root')
         self.build_tree_contents([('tree/sub-tree/file', 'text1')])
@@ -2669,11 +2669,11 @@
         # Tested with a real WT, because BranchBuilder/MemoryTree don't handle
         # 'tree-reference'
         wt = self.make_branch_and_tree('tree',
-            format='dirstate-with-subtree')
+            format='development-subtree')
         wt.lock_write()
         self.addCleanup(wt.unlock)
         sub_tree = self.make_branch_and_tree('tree/sub',
-            format='dirstate-with-subtree')
+            format='development-subtree')
         wt.set_root_id('a-root-id')
         sub_tree.set_root_id('sub-tree-root')
         self.build_tree_contents([('tree/sub/file', 'text1')])
@@ -2708,11 +2708,11 @@
         # Tested with a real WT, because BranchBuilder/MemoryTree don't handle
         # 'tree-reference'
         wt = self.make_branch_and_tree('tree',
-            format='dirstate-with-subtree')
+            format='development-subtree')
         wt.lock_write()
         self.addCleanup(wt.unlock)
         sub_tree = self.make_branch_and_tree('tree/sub',
-            format='dirstate-with-subtree')
+            format='development-subtree')
         wt.set_root_id('a-root-id')
         sub_tree.set_root_id('sub-tree-root')
         self.build_tree_contents([('tree/sub/file', 'text1')])
@@ -2751,11 +2751,11 @@
         # Tested with a real WT, because BranchBuilder/MemoryTree don't handle
         # 'tree-reference'
         wt = self.make_branch_and_tree('tree',
-            format='dirstate-with-subtree')
+            format='development-subtree')
         wt.lock_write()
         self.addCleanup(wt.unlock)
         sub_tree = self.make_branch_and_tree('tree/sub',
-            format='dirstate-with-subtree')
+            format='development-subtree')
         wt.set_root_id('a-root-id')
         sub_tree.set_root_id('sub-tree-root')
         self.build_tree_contents([('tree/sub/file', 'text1')])

=== modified file 'bzrlib/tests/test_smart.py'
--- bzrlib/tests/test_smart.py	2011-12-14 21:24:07 +0000
+++ bzrlib/tests/test_smart.py	2012-01-27 16:27:26 +0000
@@ -418,7 +418,7 @@
         backing = self.get_transport()
         request = self._request_class(backing)
         result = self._make_repository_and_result(
-            format='dirstate-with-subtree')
+            format='development-subtree')
         # check the test will be valid
         self.assertEqual('yes', result.args[2])
         self.assertEqual('yes', result.args[3])
@@ -429,9 +429,9 @@
         backing = self.get_transport()
         request = self._request_class(backing)
         result = self._make_repository_and_result(
-            format='dirstate-with-subtree')
+            format='development-subtree')
         # check the test will be valid
-        self.assertEqual('no', result.args[4])
+        self.assertEqual('yes', result.args[4])
         self.assertEqual(result, request.execute(''))
 
 

=== modified file 'bzrlib/tests/test_subsume.py'
--- bzrlib/tests/test_subsume.py	2011-05-13 12:51:05 +0000
+++ bzrlib/tests/test_subsume.py	2012-01-27 16:27:26 +0000
@@ -21,7 +21,7 @@
 
     def make_branch_and_tree(self, relpath, format=None):
         if format is None:
-            format = 'dirstate-with-subtree'
+            format = 'development-subtree'
         return tests.TestCaseWithTransport.make_branch_and_tree(self, relpath,
                                                                 format)
 
@@ -34,7 +34,7 @@
         base_tree.add('file', 'file-id')
         base_tree.commit('first commit', rev_id='tree-1')
         sub_tree = self.make_branch_and_tree('tree/subtree',
-            format='dirstate-with-subtree')
+            format='development-subtree')
         if same_root is True:
             sub_tree.set_root_id(base_tree.get_root_id())
         sub_tree.add('file2', 'file2-id')

=== modified file 'bzrlib/tests/test_testament.py'
--- bzrlib/tests/test_testament.py	2011-06-14 01:26:41 +0000
+++ bzrlib/tests/test_testament.py	2012-01-27 16:27:26 +0000
@@ -37,7 +37,7 @@
 
     def setUp(self):
         super(TestamentSetup, self).setUp()
-        self.wt = self.make_branch_and_tree('.', format='dirstate-with-subtree')
+        self.wt = self.make_branch_and_tree('.', format='development-subtree')
         self.wt.set_root_id('TREE_ROT')
         b = self.b = self.wt.branch
         b.nick = "test branch"

=== modified file 'bzrlib/tests/test_transform.py'
--- bzrlib/tests/test_transform.py	2011-11-17 13:45:49 +0000
+++ bzrlib/tests/test_transform.py	2012-01-27 16:27:26 +0000
@@ -87,7 +87,7 @@
 
     def setUp(self):
         super(TestTreeTransform, self).setUp()
-        self.wt = self.make_branch_and_tree('.', format='dirstate-with-subtree')
+        self.wt = self.make_branch_and_tree('.', format='development-subtree')
         os.chdir('..')
 
     def get_transform(self):
@@ -1901,9 +1901,9 @@
 
     def test_build_with_references(self):
         tree = self.make_branch_and_tree('source',
-            format='dirstate-with-subtree')
+            format='development-subtree')
         subtree = self.make_branch_and_tree('source/subtree',
-            format='dirstate-with-subtree')
+            format='development-subtree')
         tree.add_reference(subtree)
         tree.commit('a revision')
         tree.branch.create_checkout('target')

=== modified file 'bzrlib/tests/test_workingtree_4.py'
--- bzrlib/tests/test_workingtree_4.py	2011-12-05 17:57:53 +0000
+++ bzrlib/tests/test_workingtree_4.py	2012-01-27 16:27:26 +0000
@@ -516,7 +516,7 @@
 
     def test_unique_root_id_per_tree(self):
         # each time you initialize a new tree, it gets a different root id
-        format_name = 'dirstate-with-subtree'
+        format_name = 'development-subtree'
         tree1 = self.make_branch_and_tree('tree1',
             format=format_name)
         tree2 = self.make_branch_and_tree('tree2',
@@ -552,12 +552,12 @@
         tree = self.make_branch_and_tree('tag', format='dirstate-tags')
         self.assertEqual(inventory.ROOT_ID, tree.get_root_id())
         tree = self.make_branch_and_tree('subtree',
-                                         format='dirstate-with-subtree')
+                                         format='development-subtree')
         self.assertNotEqual(inventory.ROOT_ID, tree.get_root_id())
 
     def test_non_subtree_with_nested_trees(self):
         # prior to dirstate, st/diff/commit ignored nested trees.
-        # dirstate, as opposed to dirstate-with-subtree, should
+        # dirstate, as opposed to development-subtree, should
         # behave the same way.
         tree = self.make_branch_and_tree('.', format='dirstate')
         self.assertFalse(tree.supports_tree_reference())
@@ -603,8 +603,8 @@
         tree.unlock()
 
     def test_with_subtree_supports_tree_references(self):
-        # dirstate-with-subtree should support tree-references.
-        tree = self.make_branch_and_tree('.', format='dirstate-with-subtree')
+        # development-subtree should support tree-references.
+        tree = self.make_branch_and_tree('.', format='development-subtree')
         self.assertTrue(tree.supports_tree_reference())
         # having checked this is on, the tree interface, and intertree
         # interface tests, will proceed to test the subtree support of

=== modified file 'bzrlib/workingtree_4.py'
--- bzrlib/workingtree_4.py	2012-01-06 14:09:04 +0000
+++ bzrlib/workingtree_4.py	2012-01-27 16:27:26 +0000
@@ -1598,7 +1598,7 @@
         """Overrideable method to get a bzrdir for testing."""
         # please test against something that will let us do tree references
         return bzrdir.format_registry.make_bzrdir(
-            'dirstate-with-subtree')
+            'development-subtree')
 
     _matchingbzrdir = property(__get_matchingbzrdir)
 

